libosmo-gprs - Osmocom GPRS libraries
=====================================

This project is a home for several libraries providing common GPRS routines:


* *libosmo-csn1* - CSN.1 (Concrete Syntax Notation 1) codec;
* *libosmo-gprs-rlcmac* - RLC/MAC as per 3GPP TS 44.060, TS 44.018;
* *libosmo-gprs-llc* - LLC (Logical Link Control) as per 3GPP TS 44.064;
* *libosmo-gprs-gmm* - GMM (GPRS Mobility Management) as per 3GPP TS 24.008 section 9.4;
* *libosmo-gprs-sm* - SM (GPRS Session Management) as per 3GPP TS 24.008 section 9.5;
* *libosmo-gprs-sndcp* - SNDCP (Subnetwork Dependent Convergence Protocol) as per 3GPP TS 44.065.

Homepage
--------

The official homepage of the project is <https://osmocom.org/projects/libosmo-gprs>.

GIT Repository
--------------

You can clone from the official libosmo-gprs.git repository using

	git clone https://gitea.osmocom.org/osmocom/libosmo-gprs.git

To submit patches, see "Contributing" below.

Mailing List
------------

Discussions related to libosmo-gprs are happening on the
osmocom-net-gprs@lists.osmocom.org mailing list, please see
https://lists.osmocom.org/postorius/lists/osmocom-net-gprs@lists.osmocom.org/
for subscription options and the list archive.

Please observe the [Osmocom Mailing List
Rules](https://osmocom.org/projects/cellular-infrastructure/wiki/Mailing_List_Rules)
when posting.

Contributing
------------

Our coding standards are described at
<https://osmocom.org/projects/cellular-infrastructure/wiki/Coding_standards>

Submit patches at https://gerrit.osmocom.org/
See also <https://osmocom.org/projects/cellular-infrastructure/wiki/Gerrit>

The current patch queue for libosmo-gprs can be seen at
<https://gerrit.osmocom.org/#/q/project:libosmo-gprs+status:open>
